| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.IOrderService Interface Reference

OrderService interface. More...

Inheritance diagram for LicenseSpring.IOrderService:

## Public Member Functions
LicenseUser | AddManagerToOrder (ulong orderId, string email, string password)
| Adds a order manager to a single Order if requesting manager has access permissions to it.
string | CreateOrder (ILicenseDetails[] licenses, string productCode, Order order)
| Overloaded method for COM clients.
string | CreateOrder (LicenseDetails[] licenses, string productCode, Order order=null)
| Creates order on the LicenseSpring platform. After this action licenses are ready to use.
LicenseUser[] | ListManagersOnOrder (ulong Id)
| Lists all Order managers the requesting manager has access permissions to.
License[] | ListOrderLicenses (ulong storeId)
| Retrieves order items by order id.
Order[] | ListOrders (ListOrdersRequestDto dto, out uint count)
| Returns all orders.
string | RemoveManagerFromOrder (ulong orderId, ulong licenseUserId)
| Removes a order manager from a single Order if requesting manager has access permissions to it.
Order | UpdateOrder (Order order)
| Updates a single Order.
Public Member Functions inherited from LicenseSpring.IService
void | Initialize (ManagementConfiguration configuration)
| Initialize management service with given configuration.
bool | IsInitialized ()
| Check whether management service has been initialized.
bool | IsOnline (bool throwExceptions=false)
| Helper method, it checks connection to the LicenseSpring platform.

## Detailed Description

OrderService interface.

## Member Function Documentation

## ◆ AddManagerToOrder()

LicenseUser LicenseSpring.IOrderService.AddManagerToOrder | ( | ulong | orderId,
|  | string | email,
|  | string | password
| ) |  |

Adds a order manager to a single Order if requesting manager has access permissions to it.

Parameters

  orderId | The id of the order
  email | The email of the manager
  password | The password of the manager

Implemented in LicenseSpring.OrderService.

## ◆ CreateOrder() [1/2]

string LicenseSpring.IOrderService.CreateOrder | ( | ILicenseDetails[] | licenses,
|  | string | productCode,
|  | Order | order
| ) |  |

Overloaded method for COM clients.

Implemented in LicenseSpring.OrderService.

## ◆ CreateOrder() [2/2]

string LicenseSpring.IOrderService.CreateOrder | ( | LicenseDetails[] | licenses,
|  | string | productCode,
|  | Order | order = `null`
| ) |  |

Creates order on the LicenseSpring platform. After this action licenses are ready to use.

Parameters

  licenses | Array of licenses that are going to be ordered
  productCode | Product code of licenses that are going to be ordered
  order | Order details, optional.

If not specified, default order info will be used.

Returns
  Created order identifier

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized
  LicenseSpring.LicenseSpringException | In case license manager misconfigured, e.g. wrong product code
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.OrderService.

## ◆ ListManagersOnOrder()

LicenseUser[] LicenseSpring.IOrderService.ListManagersOnOrder | ( | ulong | Id | ) |

Lists all Order managers the requesting manager has access permissions to.

Parameters

  Id | The id of the order

Implemented in LicenseSpring.OrderService.

## ◆ ListOrderLicenses()

License[] LicenseSpring.IOrderService.ListOrderLicenses | ( | ulong | storeId | ) |

Retrieves order items by order id.

Parameters

  storeId | The id of the order

Implemented in LicenseSpring.OrderService.

## ◆ ListOrders()

Order[] LicenseSpring.IOrderService.ListOrders | ( | ListOrdersRequestDto | dto,
|  | out uint | count
| ) |  |

Returns all orders.

Parameters

  dto | Data transfer object that is used for searching through all orders.
  count | Quantity of orders, use for iteration of the result pages.

Implemented in LicenseSpring.OrderService.

## ◆ RemoveManagerFromOrder()

string LicenseSpring.IOrderService.RemoveManagerFromOrder | ( | ulong | orderId,
|  | ulong | licenseUserId
| ) |  |

Removes a order manager from a single Order if requesting manager has access permissions to it.

Parameters

  orderId | The id of the order
  licenseUserId | The id of the manager

Implemented in LicenseSpring.OrderService.

## ◆ UpdateOrder()

Order LicenseSpring.IOrderService.UpdateOrder | ( | Order | order | ) |

Updates a single Order.

Parameters

  order | Order object with updated fields.

Implemented in LicenseSpring.OrderService.

The documentation for this interface was generated from the following file:

- IOrderService.cs